Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » "Login Required" when trying to update Eclipse(Requesting Username and Password)
"Login Required" when trying to update Eclipse [message #489217] Thu, 01 October 2009 21:55 Go to next message
Missing name Mising name is currently offline Missing name Mising nameFriend
Messages: 10
Registered: October 2009
Junior Member
I am running Eclipse Galileo 3.5 and SR1.

Both versions update fine when I perform a software update or test connection via the preferences window.

Unfortunately, my coworker is prompted for a username and password when he does the update/test connection. He is prompted for every single site in the default list of locations.

I don't know why it works on my box but not his. We both authenticated the firewall and the Network Connection is set to "Direct"

Please provide any assistance.

Windows XP2

[Updated on: Thu, 01 October 2009 21:57]

Report message to a moderator

Re: "Login Required" when trying to update Eclipse [message #489345 is a reply to message #489217] Fri, 02 October 2009 14:16 Go to previous messageGo to next message
Ben Vitale is currently offline Ben VitaleFriend
Messages: 247
Registered: July 2009
Senior Member
If you have done Test Connection on a site that definitely does not require authentication, then the login prompt is a red herring, and you should continue to explore other avenues of network disruption.

What happens if he tries to pull up one of those sites in a browser?
Re: "Login Required" when trying to update Eclipse [message #489349 is a reply to message #489345] Fri, 02 October 2009 14:41 Go to previous messageGo to next message
Missing name Mising name is currently offline Missing name Mising nameFriend
Messages: 10
Registered: October 2009
Junior Member
I hit the Galileo update link "http://download.eclipse.org/releases/galileo" using a web browser and it displayed the web page with the plugins just fine.

[Updated on: Fri, 02 October 2009 14:44]

Report message to a moderator

Re: "Login Required" when trying to update Eclipse [message #489353 is a reply to message #489217] Fri, 02 October 2009 14:55 Go to previous messageGo to next message
Ben Vitale is currently offline Ben VitaleFriend
Messages: 247
Registered: July 2009
Senior Member
Anything in the Error Log view? Window-> Show View...
Re: "Login Required" when trying to update Eclipse [message #489371 is a reply to message #489353] Fri, 02 October 2009 16:06 Go to previous messageGo to next message
Missing name Mising name is currently offline Missing name Mising nameFriend
Messages: 10
Registered: October 2009
Junior Member
If I do a "Check For Updates" from the Help menu, it will prompt me for username/password for each of the listed locations.

In the Error Log View, it just displays the error message:

"Unable to load the repository http://download.eclipse.org/releases/galileo"
- "Authentication failed..."

This is repeated for each site. I had to cancel the login prompts which probably caused the authentication failures.
Re: "Login Required" when trying to update Eclipse [message #489373 is a reply to message #489217] Fri, 02 October 2009 16:15 Go to previous messageGo to next message
Ben Vitale is currently offline Ben VitaleFriend
Messages: 247
Registered: July 2009
Senior Member
Is there a stack trace on either of those errors?

If you double click it in the error log view you would see it.

If I intentionally cancel login to an HTTPS site, I see an exception on the "Unable to load repository" error log entry.

Stacktrace might help track it down further..
Re: "Login Required" when trying to update Eclipse [message #489374 is a reply to message #489371] Fri, 02 October 2009 16:20 Go to previous messageGo to next message
Ben Vitale is currently offline Ben VitaleFriend
Messages: 247
Registered: July 2009
Senior Member
Another thing you could do is download wget (http://gnuwin32.sourceforge.net/downlinks/wget.php) which is a command line utility to retrieve remote files.

Then try,

wget http://download.eclipse.org/releases/galileo/content.jar

To see if you get any HTTP errors.
Re: "Login Required" when trying to update Eclipse [message #495144 is a reply to message #489217] Tue, 03 November 2009 22:02 Go to previous messageGo to next message
Xin  is currently offline Xin Friend
Messages: 1
Registered: November 2009
Junior Member
I am experiencing the problem as well. Here is event log

eclipse.buildId=M20090917-0800
java.version=1.6.0_16
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.reporting.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.reporting.product


Error
Tue Nov 03 15:50:43 CST 2009
Unable to load the repository http://download.eclipse.org/releases/galileo

org.eclipse.equinox.internal.provisional.p2.core.ProvisionEx ception: Authentication failed for http://download.eclipse.org/releases/galileo.
at org.eclipse.equinox.internal.p2.metadata.repository.CacheMan ager.createCache(CacheManager.java:128)
at org.eclipse.equinox.internal.provisional.spi.p2.metadata.rep ository.SimpleMetadataRepositoryFactory.getLocalFile(SimpleM etadataRepositoryFactory.java:60)
at org.eclipse.equinox.internal.provisional.spi.p2.metadata.rep ository.SimpleMetadataRepositoryFactory.validateAndLoad(Simp leMetadataRepositoryFactory.java:99)
at org.eclipse.equinox.internal.provisional.spi.p2.metadata.rep ository.SimpleMetadataRepositoryFactory.load(SimpleMetadataR epositoryFactory.java:87)
at org.eclipse.equinox.internal.p2.metadata.repository.Metadata RepositoryManager.factoryLoad(MetadataRepositoryManager.java :54)
at org.eclipse.equinox.internal.p2.repository.helpers.AbstractR epositoryManager.loadRepository(AbstractRepositoryManager.ja va:669)
at org.eclipse.equinox.internal.p2.repository.helpers.AbstractR epositoryManager.loadRepository(AbstractRepositoryManager.ja va:617)
at org.eclipse.equinox.internal.p2.metadata.repository.Metadata RepositoryManager.loadRepository(MetadataRepositoryManager.j ava:92)
at org.eclipse.equinox.internal.p2.metadata.repository.Metadata RepositoryManager.loadRepository(MetadataRepositoryManager.j ava:88)
at org.eclipse.equinox.internal.provisional.p2.ui.operations.Pr ovisioningUtil.loadMetadataRepository(ProvisioningUtil.java: 88)
at org.eclipse.equinox.internal.provisional.p2.ui.QueryableMeta dataRepositoryManager.doLoadRepository(QueryableMetadataRepo sitoryManager.java:55)
at org.eclipse.equinox.internal.provisional.p2.ui.QueryableRepo sitoryManager.loadRepository(QueryableRepositoryManager.java :195)
at org.eclipse.equinox.internal.provisional.p2.ui.QueryableRepo sitoryManager.loadAll(QueryableRepositoryManager.java:108)
at org.eclipse.equinox.internal.p2.ui.sdk.PreloadingRepositoryH andler$2.run(PreloadingRepositoryHandler.java:71)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

Re: "Login Required" when trying to update Eclipse [message #500767 is a reply to message #495144] Sat, 28 November 2009 11:55 Go to previous messageGo to next message
carotids  is currently offline carotids Friend
Messages: 2
Registered: November 2009
Junior Member
I too am seeing this error

Unable to load the repository http://download.eclipse.org/releases/galileo

org.eclipse.equinox.internal.provisional.p2.core.ProvisionEx ception: Authentication failed for http://download.eclipse.org/releases/galileo.
at org.eclipse.equinox.internal.p2.metadata.repository.CacheMan ager.createCache(CacheManager.java:128)
at org.eclipse.equinox.internal.provisional.spi.p2.metadata.rep ository.SimpleMetadataRepositoryFactory.getLocalFile(SimpleM etadataRepositoryFactory.java:60)
at org.eclipse.equinox.internal.provisional.spi.p2.metadata.rep ository.SimpleMetadataRepositoryFactory.validateAndLoad(Simp leMetadataRepositoryFactory.java:99)
at org.eclipse.equinox.internal.provisional.spi.p2.metadata.rep ository.SimpleMetadataRepositoryFactory.load(SimpleMetadataR epositoryFactory.java:87)
at org.eclipse.equinox.internal.p2.metadata.repository.Metadata RepositoryManager.factoryLoad(MetadataRepositoryManager.java :54)
at org.eclipse.equinox.internal.p2.repository.helpers.AbstractR epositoryManager.loadRepository(AbstractRepositoryManager.ja va:669)
at org.eclipse.equinox.internal.p2.repository.helpers.AbstractR epositoryManager.loadRepository(AbstractRepositoryManager.ja va:617)
at org.eclipse.equinox.internal.p2.metadata.repository.Metadata RepositoryManager.loadRepository(MetadataRepositoryManager.j ava:92)
at org.eclipse.equinox.internal.p2.metadata.repository.Metadata RepositoryManager.loadRepository(MetadataRepositoryManager.j ava:88)
at org.eclipse.equinox.internal.provisional.p2.ui.operations.Pr ovisioningUtil.loadMetadataRepository(ProvisioningUtil.java: 88)
at org.eclipse.equinox.internal.provisional.p2.ui.QueryableMeta dataRepositoryManager.doLoadRepository(QueryableMetadataRepo sitoryManager.java:55)
at org.eclipse.equinox.internal.provisional.p2.ui.QueryableRepo sitoryManager.loadRepository(QueryableRepositoryManager.java :195)
at org.eclipse.equinox.internal.provisional.p2.ui.QueryableRepo sitoryManager.loadAll(QueryableRepositoryManager.java:108)
at org.eclipse.equinox.internal.p2.ui.sdk.PreloadingRepositoryH andler$2.run(PreloadingRepositoryHandler.java:71)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments: -os win32 -ws win32 -arch x86

Related links:
http://dev.eclipse.org/newslists/news.eclipse.newcomer/msg28 963.html

Re: "Login Required" when trying to update Eclipse [message #500769 is a reply to message #500767] Sat, 28 November 2009 11:58 Go to previous messageGo to next message
carotids  is currently offline carotids Friend
Messages: 2
Registered: November 2009
Junior Member
I can download the jar file via http without difficulty.

http://download.eclipse.org/releases/galileo/content.jar

[Updated on: Sat, 28 November 2009 12:06]

Report message to a moderator

Re: "Login Required" when trying to update Eclipse [message #500773 is a reply to message #489217] Sat, 28 November 2009 14:16 Go to previous messageGo to next message
Ben Vitale is currently offline Ben VitaleFriend
Messages: 247
Registered: July 2009
Senior Member
If it's an easily repeatable scenario, you may want to open a bug.

https://bugs.eclipse.org/bugs/enter_bug.cgi
RT -> Equinox -> p2.

Re: "Login Required" when trying to update Eclipse [message #500804 is a reply to message #489217] Sat, 28 November 2009 22:41 Go to previous messageGo to next message
Missing name Mising name is currently offline Missing name Mising nameFriend
Messages: 10
Registered: October 2009
Junior Member
I had to switch between Native and Direct connection in the preferences to overcome the error.
Re: "Login Required" when trying to update Eclipse [message #743581 is a reply to message #489217] Fri, 21 October 2011 15:38 Go to previous message
heislord5 is currently offline heislord5Friend
Messages: 1
Registered: October 2011
Junior Member
Switching to "Direct" under "Window->Preferences->General->Network Connection" worked for me as well.
Previous Topic:Search word under cursor
Next Topic:Mac OS X 64bit Eclipse (3.6.2) "Cannot load 32-bit SWT libraries on 64-bit JVM"
Goto Forum:
  


Current Time: Fri Nov 21 20:39:38 GMT 2014

Powered by FUDForum. Page generated in 0.02244 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software